Subject: [CentOS-devel] Preview Xen 3.2 rc* packages
From: Ian Jackson <[email-masked]>
To: [email-masked]
Date: Thu, 10 Jan 2008 18:36:16 +0000
List-Id: "The CentOS developers mailing list." <centos-devel.centos.org>

Xen 3.2 is in the final stages of preparation.  We (Xen upstream) are
planning to provide binary packages for Centos 5.1, amongs others.

I've merged the patches and so on from xen-3.0.3-41.centos5.i386.rpm
with a recent xen-unstable RC tip (16701:8922a1469284).  With a bit of
effort I have managed to get a set of packages which appear to be able
to work at least in my simple `does this function at all' test.

I'm mentioning it here so that you can have a look at what I've done
and comment on it.  We'll probably be making official upstream rpms
very soon after the Xen 3.2 release, which we hope will be early next
week.  Please send me feedback either here on-list or privately.

Most of the useful patches from 3.0.3-41.centos5 have been
incorporated upstream so I just deleted those from my srpm.

There were also a few changes which I have just dropped.  In
particular, the RHEL5 package (and thus the Centos one too) is a
bizarre frankenxen containing a forward port of the 3.0 dom0 userland
tools to the Xen 3.1 hypervisor.

In my package I have included the hypervisor in the xen-*.rpm rather
than making a kernel package too.  This is more in line with practice
upstream; dom0 kernel compatibility between the 3.1 and 3.2
hypervisors is good and the new hypervisor seems to work for me with
the Centos 5.1 2.6.18-53.el5xen kernel.

You can find the actual files here:
http://www.chiark.greenend.org.uk/~ijackson/xen-3.2-package-previews/centos5.1/

These packages should not be used for production - they're previews
and I may have made elementary packaging mistakes. Xen 3.2 is still
unreleased and in need of more testing.

Please check the SHA256's before installing them:
 8d1ab89c420559aac762e7b526b57f80434d45006c162713bd2120b43868a385  xen-3.1.9-0xs.centos5.i386.rpm
 380062047a72308996a568f177c60125582acb48c2df2c0811f025542fa24367  xen-3.1.9-0xs.centos5.src.rpm
 437b363c3f45a8e74db395468b127245fd775ddb9bd8b5e85f1a4d8ec7809e04  xen-debuginfo-3.1.9-0xs.centos5.i386.rpm
 2b81624aa303828b06bda11201a6f2eaf923c384830c8cff5d3f53a22ebaf393  xen-devel-3.1.9-0xs.centos5.i386.rpm
 dfef6550f4d693c999923ba9b2d5ead7b8bbeca3bed0cbdc0835ca516d773ddc  xen-libs-3.1.9-0xs.centos5.i386.rpm

Regards,
Ian.
_______________________________________________
CentOS-devel mailing list
[email-masked]
http://lists.centos.org/mailman/listinfo/centos-devel